org.apache.avro.grpc

## Class AvroResponseMarshaller

- java.lang.Object
- - org.apache.avro.grpc.AvroResponseMarshaller

- All Implemented Interfaces:
    io.grpc.MethodDescriptor.Marshaller<Object>

      public class AvroResponseMarshaller
      extends Object
      implements io.grpc.MethodDescriptor.Marshaller<Object>

  Marshaller for Avro RPC response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroResponseMarshaller(Protocol.Message message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `parse(InputStream stream)`
    `InputStream` | `stream(Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroResponseMarshaller

          public AvroResponseMarshaller(Protocol.Message message)

  - ### Method Detail

    - #### stream

          public InputStream stream(Object value)

      Specified by:
        `stream` in interface `io.grpc.MethodDescriptor.Marshaller<Object>`

    - #### parse

          public Object parse(InputStream stream)

      Specified by:
        `parse` in interface `io.grpc.MethodDescriptor.Marshaller<Object>`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.